/** Usage:
  @include breakpoint(tablet) {}
  @include breakpoint(min-width, 1192px) {}
  @include between-breakpoints(0, 1024px) {}
  **/
*,
*:before,
*:after {
  box-sizing: border-box;
}

body {
  height: 100vh;
  margin: 0;
  background-color: white;
  font-family: 'Nunito Sans', sans-serif;
  line-height: 1.4;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

p.large {
  font-size: 1.125rem;
}

p.v-large {
  font-size: 1.85rem;
}

h1,
h2 {
  margin: 0;
}

h1 {
  text-transform: uppercase;
  font-size: 1.375rem;
  letter-spacing: 1.25px;
  font-weight: 800;
  margin-bottom: 20px;
}

h2 {
  font-size: 1.125rem;
}

.sub {
  text-transform: uppercase;
  font-size: 0.9375rem;
  letter-spacing: 1.25px;
  color: #75787b;
  font-weight: 600;
}

img.full-width {
  width: 100%;
}

main {
  overflow: visible;
  justify-content: space-between;
  flex-direction: column;
  padding: 0 30px;
}

.inactiveMessage {
  display: none;
}

.container2 {
  padding: 25px;
}

.container>header {
  display: flex;
  justify-content: center;
  flex-direction: column;
  padding: 25px 25px 0 25px;
  min-height: 60px;
}

.logo {
  display: flex;
  justify-content: center;
  margin-bottom: 10px;
  align-self: center;
}

.buttonNextWrapper>.nextButton {
  display: none;
}

.buttonNextWrapper>.startButton {
  display: none;
}

.button {
  border-width: 0;
  padding: 15px 25px;
  display: block;
  width: 100%;
  background-color: #007fa3;
  color: white;
  border-radius: 5px;
  font-weight: 500;
  text-decoration: none;
  font-size: 1.25rem;
  text-align: center;
  transition: all 0.1s ease;
}
.button[disabled],
.button[disabled]:hover {
  background-color: #f0f0f0;
  pointer-events: none;
  color: #999;
}
.button:hover {
  background-color: #007394;
}
.button:active {
  background-color: #008bb2;
}

.steps {
  display: none;
  margin-bottom: 10px;
}

.selectionStep,
.step3 {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: space-between;
}

.steps-back {
  width: 20px;
  height: 20px;
  opacity: 0.5;
  padding: 3px;
  box-sizing: content-box;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 100%;
}
.steps-back:hover {
  background: #e0e0e0;
}

.steps-back-img {
  width: 13px;
}

.steps-text {
  padding: 6px;
}

.details {
  border-radius: 5px;
  background-color: #00677f;
  padding: 1rem;
  display: none;
  margin-bottom: 20px;
}

.details-block {
  color: #fff;
  width: 130px;
  margin-right: 20px;
  list-style-type: none
}

.details-block-label,
.details-block-input {
  display: block;
  margin-bottom: 0
}

.details-block-label {
  font-weight: 600;
  font-size: 0.85rem;
  opacity: 0.8;
  margin-bottom: 2px;
}

.object {
  background-color: #f6f6f6;
  border-radius: 5px;
  border: 1px solid #cccccc;
  width: 100%;
  margin-bottom: 20px;
  position: relative;
  transition: all 0.1s ease;
}

.object[selected] {
  border-color: #00816d;
  background-color: #00816d;
  color: white;
}

.object[selected] > .object-details > .object-details-street {
  color: white;
}

.object-selected-icon {
  display: none;
}

.object[selected] > .object-selected-icon {
  display: block;
}

.object[selected]:hover {
  border-color: #00816d;
}

.object-horizontal {
  padding: 0;
  width: 100%;
  height: 125px;
  display: flex;
  flex-direction: row;
}

.object-horizontal .object-image {
  width: 35%;
  border-radius: 5px 0 0 5px;
  height: 100%;
  flex-shrink: 0;
}

.object-horizontal .object-details {
  padding: 20px 4%;
}
.object:hover {
  border: 1px solid #bfbfbf;
  box-shadow: 0 0 5px rgba(0, 0, 0, 0.15);
}

.object-image {
  overflow: hidden;
  border-radius: 5px 5px 0 0;
  position: relative;
  height: 180px;
  width: 100%;
}

.object-image-img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
}

.object-details {
  padding: 20px;
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.object-details h2 {
  color: #007fa3;
}

.object-details-postal-code {
  margin: 0.25rem 0;
}

.object-details-woz-worth {
  font-weight: 700;
  font-size: 0.8125rem;
}

.object-selected-icon {
  position: absolute;
  right: -12px;
  top: -12px;
}

.object-selected-icon-svg {
  background: white;
  border-radius: 100%;
  border: 1px solid white;
  fill: #00816d;
}

.field {
  margin-bottom: 15px;
}

.objectItemsSelection {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

input[type='text'],
input[type='email'],
input[type='date'],
input[type='number'],
select,
textarea {
  background: transparent;
  border: 1px solid #cccccc;
  padding: 15px;
  border-radius: 5px;
  width: 100%;
  margin-top: 5px;
}

textarea {
  min-height: 250px;
  display: block;
}

.field-explanation {
  display: none;
  font-size: 0.75rem;
  color: #666;
}

footer {
  bottom: 0;
  width: 100%;
  background: #f6f6f6;
  margin-top: 15px;
  padding: 10px;
}

.footer-inner {
  max-width: 768px;
  margin: 0 auto;
  display: flex;
  padding: 0 30px;
}

.footer-logo {
  flex-grow: 1;
  align-self: center;
}

.footer-logo a img {
  transition: all 0.1s ease;
  opacity: 0.3;
}
.footer-logo a:hover img {
  opacity: 1;
}

.footer-contact-icon {
  margin-top: 5px;
  margin-left: 25px;
  display: flex;
}
.footer-contact-icon img {
  transition: all 0.1s ease;
  width: 22px;
  height: 22px;
  opacity: 0.3;
}
.footer-contact-icon:hover img {
  opacity: 1;
}

.loader {
  margin: 150px auto;
  border: 16px solid #e0e0e0;
  border-top: 16px solid #00816d;
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s ease-in-out infinite;
}

.loader-sm {
  border: 12px solid #e0e0e0;
  border-top: 12px solid #00816d;
  border-radius: 50%;
  width: 70px;
  height: 70px;
  animation: spin 2s ease-in-out infinite;
}

.loader-sm-container {
  padding: 25px;
  position: absolute;
  width: 100%;
  height: 100%;
  background: white;
}

.done-checkmark {
  font-size: 175px;
  color: lightgreen;
  margin-left: auto;
  margin-right: auto;
  display: table;
}

select {
  -moz-appearance: none; /* Firefox */
  -webkit-appearance: none; /* Safari and Chrome */
  appearance: none;
}

.red {
  color: red;
}

.templates {
  display: none;
}

.step-object-details {
  display: none;
}

.personalDetailsStep {
  display: none;
}

.done {
  display: none;
}


@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
